﻿clc, clear
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%     Universidad Tecnológica Nacional        %%%%%%%%%%%%%%%
//%%%%%%%%%       Facultal Regional Rosario             %%%%%%%%%%%%%%%
//%%%%%%%%%      Matemática Superior Aplicada           %%%%%%%%%%%%%%%
//%%%%%%%%%        Prof: A. Santa Cruz                  %%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// Planteo del problema: Durante un vuelo de prueba de un avión con motor UDF, 
// el piloto de prueba ajustó el nivel de potencia del motor en 40,000 newtons, 
// lo cual hace que el avión de 20,000 kg alcance una velocidad de crucero de
// 180 m/s(metros por segundo). 
// A continuación, las gargantas del motor se ajustan a un nivel de potencia 
// de 60,000 newtons y el avión comienza a acelerar. Al aumentar la velocidad 
// del avión, el arrastre aerodinámico aumenta en proporción con el cuadrado 
// de la velocidad respecto al aire. Después de cierto tiempo, el avión alcanza
// una nueva velocidad de crucero con la que el empuje de los motores UDF es
// equilibrado por el arrastre. Las ecuaciones empleadas para estimar la 
// velocidad y aceleración del avión desde el momento en que se reajustan las 
// gargantas hasta que el avión alcanza su nueva velocidad de crucero
// (aproximadamente 120 S después) son las siguientes:
// velocidad = 0.00001 * tiempo^3 + 0.00488 * tiempo^2 + 0.75795 * tiempo + 181.3566
// aceleración = 3 - 0.000062 * velocidad^2
// Escriba un programa que pida al usuario introducir un tiempo 
// inicial y un tiempo final (ambos en segundos) que definan un intervalo de
// tiempo para el cual deseamos graficar la velocidad y la aceleración del 
// avión. Suponga que el tiempo cero representa el punto en el que se aumentó
// el nivel de potencia. El tiempo final deberá ser 120 segundos o menos.
// Estos comandos generan y grafican valores de velocidad y aceleración en 
// un intervalo especificado por el usuario.
ti = 0;
tf = 120;
tiempo_incr = (tf - ti)/99;
tiempo = ti:tiempo_incr:tf;
velocidad = 0.00001*tiempo.^3 - 0.00488*tiempo.^2 + 0.75795*tiempo + 181.3566;
aceleracion = 3 - 0.000062*velocidad.^2;
subplot(2,1,1)
plot(tiempo,velocidad)
title('Velocidad')
xlabel( 'Tiempo, seg')
ylabel('Velocidad, m/seg')
set(gca(),"grid",[1 1])
subplot(2,1,2)
plot(tiempo,aceleracion)
title('Aceleración')
xlabel( 'Tiempo, seg')
ylabel('Aceleración, m/seg^2')
set(gca(),"grid",[1 1])
